Bug 451634 - Searching for "battery" doesn't find anything to show the laptop's battery percentage.
Summary: Searching for "battery" doesn't find anything to show the laptop's battery pe...
Status: RESOLVED FIXED
Alias: None
Product: krunner
Classification: Unclassified
Component: general (show other bugs)
Version: 5.24.0
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Alexander Lohnau
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2022-03-17 20:13 UTC by Dan Dascalescu
Modified: 2022-03-27 01:23 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.24.4


Attachments
Launcher doesn't find Energy Consumption Statistics when searching for Battery (72.55 KB, image/png)
2022-03-17 20:13 UTC, Dan Dascalescu
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Dascalescu 2022-03-17 20:13:42 UTC
Created attachment 147567 [details]
Launcher doesn't find Energy Consumption Statistics when searching for Battery

This is coupled with an extremely annoying bug affecting ThinkPads and causing the battery to randomly become invisible to Ubuntu. [1][2] However, the OS does detect a Logitech mouse, which reports its energy level.

Looks like the fix is to add the "battery" keyword somewhere in the description of the "Energy Consumption Statistics" widget.

Please see the attached screenshot.


SOFTWARE/OS VERSIONS
Operating System: KDE neon 5.24
KDE Plasma Version: 5.24.0
KDE Frameworks Version: 5.90.0
Qt Version: 5.15.3
Kernel Version: 5.4.0-99-generic (64-bit)
Graphics Platform: X11
Processors: 8 × Intel® Core™ i7-8665U CPU @ 1.90GHz
Memory: 15.3 GiB of RAM
Graphics Processor: Mesa Intel® UHD Graphics 620

[1]: https://www.reddit.com/r/thinkpad/comments/epehay/x1_carbon_7th_gen_battery_not_detected/
[2]: https://forums.lenovo.com/t5/ThinkPad-X-Series-Laptops/Battery-Not-Detected-2019-Thinkpad-X1-Carbon-7th-Gen-20QD/m-p/5010935
Comment 1 Nate Graham 2022-03-26 02:43:06 UTC
Can confirm with KRunner as well. The Energy KCM has the "Battery" keyword so it should be found in a search for "battery", but it's not.

P.S. The answer to the question in the screenshot is that you can most easily find that information in the "Battery & Brightness" applet in the System Tray. :)
Comment 2 Alexander Lohnau 2022-03-26 06:29:20 UTC
Git commit 46b54f3242b87200c39433941ebc2bf31ddbb9e0 by Alexander Lohnau.
Committed on 26/03/2022 at 06:28.
Pushed by alex into branch 'master'.

systemsettings runner: Ensure that we match keywords case insensitively

M  +1    -1    runner/systemsettingsrunner.cpp

https://invent.kde.org/plasma/systemsettings/commit/46b54f3242b87200c39433941ebc2bf31ddbb9e0
Comment 3 Alexander Lohnau 2022-03-26 06:31:13 UTC
Git commit 99908ccb3a8c1d0ffb6ccf6eca008feed6a42749 by Alexander Lohnau.
Committed on 26/03/2022 at 06:30.
Pushed by alex into branch 'Plasma/5.24'.

systemsettings runner: Ensure that we match keywords case insensitively

M  +1    -1    runner/systemsettingsrunner.cpp

https://invent.kde.org/plasma/systemsettings/commit/99908ccb3a8c1d0ffb6ccf6eca008feed6a42749